Skip to main content
PUT
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
control-plane
Change Control Plane Count Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/control-plane"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/control-plane', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request PUT \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/control-plane \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
  "new_count": 123,
  "previous_count": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Body

application/json
count
enum<integer>
required

Number of controller nodes. Must be 1 (single controller) or 3 (HA), since etcd requires an odd voting-member count for quorum.

Available options:
1,
3

Response

Successful Response

new_count
integer
required
previous_count
integer
required